---
title: HTMLTableElement.frame
slug: Web/API/HTMLTableElement/frame
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - NeedsBrowserCompatibility
  - NeedsSpecTable
  - Property
  - Reference
  - Tables
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The {{domxref("HTMLTableElement")}} interface's <code><strong>frame</strong></code> property is a string that indicates which of the table's exterior borders should be drawn.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.frame = <em>frameSides</em>;
var <em>frameSides</em> = <em>HTMLTableElement</em>.frame;</pre>

<h3 id="Parameters">Parameters</h3>

<p><code>frameSides</code> is a string whose value is one of the following values:</p>

<dl>
 <dt><code>void</code></dt>
 <dd>No sides. This is the default.</dd>
 <dt><code>"above"</code></dt>
 <dd>Top side</dd>
 <dt><code>"below"</code></dt>
 <dd>Bottom side</dd>
 <dt><code>"hsides"</code></dt>
 <dd>Top and bottom only</dd>
 <dt><code>"vsides"</code></dt>
 <dd>Right and left sides only</dd>
 <dt><code>"lhs"</code></dt>
 <dd>Left-hand side only</dd>
 <dt><code>"rhs"</code></dt>
 <dd>Right-hand side only</dd>
 <dt><code>"box"</code></dt>
 <dd>All four sides</dd>
 <dt><code>"border"</code></dt>
 <dd>All four sides</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Set the frame of TableA to 'border'
var t = document.getElementById('TableA');
t.frame  = "border";
t.border = "2px";</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li>W3C DOM 2 HTML Specification</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.frame")}}</p>
</div>
